
Ruby - Bug #12270

2.3.0/2.4.0 で stackprof を実行すると SEGV することがある

04/12/2016 07:07 AM - hsbt (Hiroshi SHIBATA)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.4.0dev (2016-04-11 trunk 54545)

[x86_64-darwin15]

Backport: 2.1: DONTNEED, 2.2: DONTNEED, 2.3:

DONTNEED

Description

tDiary ( https://github.com/tdiary/tdiary-core )のテストに添付しているパッチを当てて stackprof を有効にして実行すると最後の results を出力する箇所で SEGV となります。

spec/spec_helper.rb:33: [BUG] frame2iseq: unreachable

 ruby 2.2.5p292 (2016-03-31 revision 54443) [x86_64-darwin15] では results がダンプされるので 2.3.0 で発生した regression ではないかと思います。

History

#1 - 04/12/2016 07:26 AM - hsbt (Hiroshi SHIBATA)

- Description updated

#2 - 04/12/2016 08:20 PM - naruse (Yui NARUSE)

- Status changed from Open to Third Party's Issue

示唆なさってたとおり、 gem 'stackprof', github: 'tmm1/stackprof' で直りますね。

#3 - 04/13/2016 12:42 AM - hsbt (Hiroshi SHIBATA)

僕も stackprof の master で SEGV が起きないことを確認しました。

参考: https://twitter.com/mametter/status/719795060015898624

#4 - 04/14/2016 12:27 PM - naruse (Yui NARUSE)

fixed by stackprof v0.2.9.

#5 - 04/15/2016 05:28 AM - naruse (Yui NARUSE)

- Backport changed from 2.1: DONTNEED, 2.2: DONTNEED, 2.3: REQUIRED to 2.1: DONTNEED, 2.2: DONTNEED, 2.3: DONTNEED

Files

tdiary-stackprof.patch 1.12 KB 04/12/2016 hsbt (Hiroshi SHIBATA)
